<?php

namespace Drupal\viewer\Traits;

trait PluginBatchTrait {

  protected $batch = [];

  public function setImportFrequency($import_frequency = 0) {
    $this->batch['import_frequency'] = (int) $import_frequency;
    return $this;
  }

  public function getImportFrequency() {
    return $this->batch['import_frequency'] ?? 0;
  }

  public function setBatchFileSource($file_source = 'file') {
    $this->batch['file_source'] = $file_source;
    return $this;
  }

  public function getBatchFileSource() {
    return $this->batch['file_source'] ?? '';
  }

  public function setBatchFile($file_id) {
    $this->batch['file'] = $file_id;
    return $this;
  }

  public function getBatchFile() {
    return $this->batch['file'] ?? FALSE;
  }

  public function setBatchSettings($settings) {
    $this->batch['settings'] = $settings;
    return $this;
  }

  public function getBatchSettings() {
    return $this->batch['settings'] ?? [];
  }

  public function setBatchViewerSourceEntity($viewer_source) {
    $this->batch['viewer_source'] = $viewer_source;
    return $this;
  }

  public function getBatchViewerSourceEntity() {
    return $this->batch['viewer_source'] ?? NULL;
  }

  public function setAdditionalFields($additional_fields = []) {
    $this->batch['additional_fields'] = $additional_fields;
    return $this;
  }

  public function getAdditionalFields() {
    return $this->batch['additional_fields'] ?? NULL;
  }

}
